Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Interface CreateChatCompletionRequestAllOfFunctionCall

All Known Implementing Classes:
  `CreateChatCompletionRequestAllOfFunctionCall.InnerChatCompletionFunctionCallOption`, `CreateChatCompletionRequestAllOfFunctionCall.InnerString`

@Deprecated public interface CreateChatCompletionRequestAllOfFunctionCall
Deprecated.
Deprecated in favor of `tool_choice`. Controls which (if any) function is called by the model. `none` means the model will not call a function and instead generates a message. `auto` means the model can pick between generating a message or calling a function. Specifying a particular function via `{\"name\": \"my_function\"}` forces the model to call that function. `none` is the default when no functions are present. `auto` is the default if functions are present.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CreateChatCompletionRequestAllOfFunctionCall.InnerChatCompletionFunctionCallOption`
  Deprecated.
  Helper class to create `ChatCompletionFunctionCallOption` that implements `CreateChatCompletionRequestAllOfFunctionCall`.
  `static final record`
  `CreateChatCompletionRequestAllOfFunctionCall.InnerString`
  Deprecated.
  Helper class to create `String` that implements `CreateChatCompletionRequestAllOfFunctionCall`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CreateChatCompletionRequestAllOfFunctionCall.InnerString`
  `create(String val)`
  Deprecated.
  Creator to enable deserialization of `String` .
  `static CreateChatCompletionRequestAllOfFunctionCall.InnerChatCompletionFunctionCallOption`
  `createInnerChatCompletionFunctionCallOption(ChatCompletionFunctionCallOption val)`
  Deprecated.
  Creator to enable deserialization of `ChatCompletionFunctionCallOption` .

- ## Method Details

  - ### create

    @Nonnull static CreateChatCompletionRequestAllOfFunctionCall.InnerString create(@Nonnull String val)
    Deprecated.
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `CreateChatCompletionRequestAllOfFunctionCall.InnerString`.

  - ### createInnerChatCompletionFunctionCallOption

    @Nonnull static CreateChatCompletionRequestAllOfFunctionCall.InnerChatCompletionFunctionCallOption createInnerChatCompletionFunctionCallOption(@Nonnull ChatCompletionFunctionCallOption val)
    Deprecated.
    Creator to enable deserialization of `ChatCompletionFunctionCallOption` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `CreateChatCompletionRequestAllOfFunctionCall.InnerChatCompletionFunctionCallOption`.